<html>
<head>
<META http-equiv=Content-Language content=zh-cn>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<link rel="stylesheet" type="text/css" href="../CSS/Base.css">
<link rel="stylesheet" type="text/css" href="../CSS/Common.css">
<link href="../CSS/SurveyList.css" rel="stylesheet" type="text/css"/>
<style> td { padding:2px 5px 2px 5px;} table { margin-bottom:4px;}</style>
<script type="text/javascript" src="../JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="../CSS/Notification.css" />
<script language=javascript src="../JS/CheckQuestion.js.php"></script>
<script type="text/javascript" src="../JS/Browser.js.php"></script>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<script language=javascript>
function Check_Form_Validator()
{
   //if (!CheckNotNull(document.Check_Form.surveyID1, "选定对比的第1张问卷")) {return false;}
   if (!CheckNotNull(document.getElementById("questionID1"), "选定对比的第1张问卷的问题")) {return false;}
   if (!CheckNotNull(document.Check_Form.surveyID2, "选定对比的第2张问卷")) {return false;}
   if (!CheckNotNull(document.getElementById("questionID2"), "选定对比的第2张问卷的问题")) {return false;}
}

var http_request = false;
function AjaxRequest(url,questionHTMLID)
{
	http_request = false;
	if(window.ActiveXObject)
	{
		try  // IE
		{
			http_request = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				http_request = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e) {}
		}
	}
	else if(window.XMLHttpRequest)
	{
		// Mozilla, Safari,...
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType)
		{
			http_request.overrideMimeType('text/xml');
		}
	}
	
	if (!http_request)
	{
		$.notification("Cannot create an XMLHTTP instance");
		return false;
	}
	http_request.onreadystatechange = function() {
		if (http_request.readyState == 4)
		{
			if(http_request.status == 200)
			{
				var resText = http_request.responseText;
				var theObj = eval("document.getElementById(\"questionOnHTML" + questionHTMLID + "\")");
				theObj.innerHTML = resText;
			}
			else
			{
				$.notification('网络传输问题');
			}
		}
	}
  	http_request.open('GET', url, true);
	http_request.send(null);
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText.split('######');
				if( theRtnText[0] == 'false')
				{
					document.getElementById("dataMatchingMap").innerHTML = '' ;
                    $.notification(theRtnText[1]);
				}
				else
				{
					document.getElementById("dataMatchingMapTable").style.display = '';
					document.getElementById("dataMatchingCopyAction").style.display = '';
					document.getElementById("dataMatchingMap").innerHTML = theRtnText[1] ;
					adjustMenuWarpSize();
				}
			}
			else
			{
				$.notification('网络传输问题');
			}
		}	
	} 
}
function DataMatchingSubmit()
{
    if( Check_Form_Validator() != false )
	{
		var matchingType = document.getElementById('matchingType').value;
		var questionID1 = document.getElementById('questionID1').value;
		var questionID2 = document.getElementById('questionID2').value;
		//var surveyID1 = document.getElementById('surveyID1').value;
		var surveyID1 = {surveyID};
		var surveyID2 = document.getElementById('surveyID2').value;
		var ParamString = "Action=DataMatchingSubmit&matchingType=" + matchingType ;
		ParamString += "&questionID1="+questionID1;
		ParamString += "&questionID2="+questionID2;
		ParamString += "&surveyID1="+surveyID1;
		ParamString += "&surveyID="+{surveyID};
		ParamString += "&surveyID2="+surveyID2;
		ParamString += "&dataSource=" + getRadioCheckBoxValue(document.Check_Form.dataSource);
		document.getElementById("dataMatchingMapTable").style.display = '';
		document.getElementById("dataMatchingMap").innerHTML = "<div id=\"preloading\" style=\"background-color:#f0f0f0;width:160px;overflow:hidden;white-space:nowrap;color:black;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
		ajax_Submit('DataMatching.php',ParamString);
	}
}
function ResetInit()
{
	document.getElementById("dataMatchingMapTable").style.display = 'none';
	document.getElementById("dataMatchingCopyAction").style.display = 'none';
	document.getElementById("dataMatchingMap").innerHTML = '' ;
}
function Init(){
	var theSurveyID = {surveyID};
	if( theSurveyID != 0 )
	{
	   AjaxRequest('AjaxMatchingChangeQtn.php?type=1&selectedID='+theSurveyID,1);
	}
}
function copycode(obj) {
        var rng = document.body.createTextRange();
        rng.moveToElementText(obj);
        rng.scrollIntoView();
        rng.select();
        rng.execCommand("Copy");
        rng.collapse(false);
		$.notification("复制分析结果到剪贴板成功");
}
function gId(_sId){
	return document.getElementById(_sId);
}
</script>
</head>
<body oncontextmenu="return false" style="background-color:#244d8f;" onload="javascript:Init();">
<div style="line-height:10px">&nbsp;</div>
<div id="menu">
  <span style="float:left;padding-left:26px;"><div class="navmenu">数据报告中心 &raquo; 问卷数据对比</div></span>
  <span style="float:right">
  <ul><li><a href="../System/ShowMain.php">我的问卷</a></li>
      <li class="current"><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">标准报告</a>
      <li><a href="../Analytics/DefineReport.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">自定义报告</a></li>
      <li><a href="../Analytics/DataList.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">回复数据</a></li>
      <li><a href="../Analytics/EventAward.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">调查奖励</a></li>
      <li><a href="../Analytics/PanelArea.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">样本来源</a></li>
      <li><a href="../Analytics/TaskResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">计划任务</a></li>
      <li><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">指标分析</a></li>
	  </ul></span>
</div>

<div class="wrap q_clear" id=wrap>
<div>
<div class=content>
<div class=q_clear id=mysurvey><h1>[<font color=red>{surveyTitle}</font>] 不同问卷间同一题型的数据对比</h1><br/></div>
<div id=myname><span class=red>*</span> 不同问卷间同一题型的数据对比，要求问题题型以及问题选项数目必须一致</div>
<div class="datalist">

<table class=datatable width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
  <tr>
      <td width=1% noWrap style="border:0px">&nbsp;</td>
      <td width=107 nowrap style="border:0px"><b>选择数据分析方向</b></td>
      <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">回复数据概览</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
      <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/Frequency.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">频数频率分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataCross.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">交叉数据分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/OptionsCoeff.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">问卷均值分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/DataChart.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">数据图形展示</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;"><a href="../Analytics/ChiSquare.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">卡方分布校验</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
 	  <td width=* style="border:0px;border-right:0px;">&nbsp;</td>
 </tr>
  <tr><td colspan=2></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid;border-bottom:0px"><a href="../Analytics/LinearRegression.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">线性回归分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center>&nbsp;&nbsp;&nbsp;&nbsp;<a href="../Analytics/TURF.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">TURF分析</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/PSM.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">价格研究模型</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/CombOptions.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">合并选项统计</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#244d8f" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center><a href="../Analytics/DataMatching.php?Type=1&surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:white">问卷数据对比</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" style="border-right:1px #b5cfd9 solid;border-bottom:0px" align=center>&nbsp;</td>
	  <td width=* style="border:0px;border-right:0px;" colspan=2>&nbsp;</td>
  </tr>
</table>

<table class=datatable width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
  <tr><td width=1% noWrap style="border:0px">&nbsp;</td>
      <td width=107 nowrap style="border:0px"><b>选择数据分析维度</b></td>
      <td width=110 nowrap bgcolor="#eeeeee" style="border:0px;border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid" align=center><a href="../Analytics/DataMatching.php?Type=1&surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">同一问卷对比</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#244d8f" style="border:0px;border-right:1px #b5cfd9 solid" align=center><a href="../Analytics/DataMatching.php?Type=2&surveyID={surveyID}&surveyTitle={survey_URLTitle}&DO=SettingCoeff" style="color:white">不同问卷对比</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=* style="border:0px">&nbsp;</td>
  </tr>
</table>
   
 <form name="Check_Form" method="post" action="" onsubmit="return Check_Form_Validator();">

 <script src="../JS/AjaxDataSource.js.php"></script>
 <script>
 function refreshDataSource(){
	AjaxShowDataSource({surveyID},1);
 }
 </script>
	<div id="dataSourceTable"><div id="dataloading" style="background-color:#f0f0f0;width:160px;overflow:hidden;white-space:nowrap;color:black;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;">&nbsp;<img src="../Images/wait.gif" width="16px" height="16px">&nbsp;正在加载数据源...&nbsp;</div></div>

</div>
<div>
  <table style="border-top: #b5cfd9 1px solid;border-bottom: #b5cfd9 1px solid;" width=100% id="datatable" cellspacing=0 cellpadding=0>
   <tr><td height=5></td></tr>
   <tr><td>
      <b>对比问卷一：</b><select name="surveyID1" id="surveyID1" onChange="AjaxRequest('AjaxMatchingChangeQtn.php?type=1&selectedID='+document.Check_Form.surveyID1.options[document.Check_Form.surveyID1.selectedIndex].value,1);" disabled style="width:820px;*width:830px">
	     <option value='' selected>请选择对比问卷一...</option>
		 {surveyIDList}
		 </select></td></tr><tr><td>
	  <span id="questionOnHTML1" style="padding-left:78px"><select name="questionID1" id="questionID1" style="width:820px;*width:830px">
		   <option selected value="{m_questionID}">{m_questionName}</option> 
		 </select></span></td></tr><tr><td height=10>
	</td></tr><tr><td>
      <b>对比问卷二：</b><select name="surveyID2" id="surveyID2" onChange="AjaxRequest('AjaxMatchingChangeQtn.php?type=2&selectedID='+document.Check_Form.surveyID2.options[document.Check_Form.surveyID2.selectedIndex].value,2);" style="width:820px;*width:830px">
	     <option value='' selected>请选择对比问卷二...</option>
		 {surveyIDList2}
		 </select></td></tr><tr><td>
	  <span id="questionOnHTML2" style="padding-left:78px"><select name="questionID2" id="questionID2" style="width:820px;*width:830px">
		   <option selected value="{m_questionID}">{m_questionName}</option> 
		 </select></span>
   </td></tr><tr><td height=8>
   </td></tr><tr><td>
         <input class=inputsubmit name="submit" type="button" id="submit" value="开始比较" onclick="javascript:DataMatchingSubmit();" > 
         <input class=inputsubmit name="reset" type="reset" id="reset" value="&nbsp;&nbsp;重置&nbsp;&nbsp;" onclick="javascript:ResetInit();" >
		 <input type="hidden" value="1" name="matchingType" id="matchingType">
      </td>
    </tr>
   <tr><td height=5></td></tr>
  </form>
 </table>

   <table id="dataMatchingCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;margin-bottom:0px;margin-top:10px" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0><tr><td align=right bgcolor="#eeeeee" style="border:1px #b5cfd9 solid;border-bottom:0px;height:30px;"><a href="javascript:void(0)" onclick="copycode(gId('dataMatchingMap'));"><font color="#444444">复制分析结果到剪贴板</font></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

 <table id="dataMatchingMapTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=1>
   <tr><td id="dataMatchingMap" align=left style="padding-top:5px;padding-bottom:5px"></td></tr>
 </table>
</div></div></div>
<script>AjaxShowDataSource({surveyID},1);</script>
</body></html>
